diff --git a/gcc/fortran/class.c b/gcc/fortran/class.c
index 2d72e95..0a685c1 100644
--- a/gcc/fortran/class.c
+++ b/gcc/fortran/class.c
@@ -558,7 +558,7 @@ gfc_intrinsic_hash_value (gfc_typespec *ts)
 
 /* Get the _len component from a class/derived object storing a string.
    For unlimited polymorphic entities a ref to the _data component is available
-   while a ref to the _len component is needed.  This routine traverese the
+   while a ref to the _len component is needed.  This routine traverse the
    ref-chain and strips the last ref to a _data from it replacing it with a
    ref to the _len component.  */
 
@@ -1504,7 +1504,7 @@ finalizer_insert_packed_call (gfc_code *block, gfc_finalizer *fini,
 
 
 /* Generate the finalization/polymorphic freeing wrapper subroutine for the
-   derived type "derived". The function first calls the approriate FINAL
+   derived type "derived". The function first calls the appropriate FINAL
    subroutine, then it DEALLOCATEs (finalizes/frees) the allocatable
    components (but not the inherited ones). Last, it calls the wrapper
    subroutine of the parent. The generated wrapper procedure takes as argument
diff --git a/gcc/fortran/decl.c b/gcc/fortran/decl.c
index bd31070..63eac4d 100644
--- a/gcc/fortran/decl.c
+++ b/gcc/fortran/decl.c
@@ -1913,7 +1913,7 @@ build_struct (const char *name, gfc_charlen *cl, gfc_expr **init,
   /* If we are in a nested union/map definition, gfc_add_component will not
      properly find repeated components because:
        (i) gfc_add_component does a flat search, where components of unions
-           and maps are implicity chained so nested components may conflict.
+           and maps are implicitly chained so nested components may conflict.
       (ii) Unions and maps are not linked as components of their parent
            structures until after they are parsed.
      For (i) we use gfc_find_component which searches recursively, and for (ii)
@@ -2243,7 +2243,7 @@ variable_decl (int elem)
 	}
     }
 
-  /* The dummy arguments and result of the abreviated form of MODULE
+  /* The dummy arguments and result of the abbreviated form of MODULE
      PROCEDUREs, used in SUBMODULES should not be redefined.  */
   if (gfc_current_ns->proc_name
       && gfc_current_ns->proc_name->abr_modproc_decl)
@@ -5079,7 +5079,7 @@ copy_prefix (symbol_attribute *dest, locus *where)
 	dest->recursive = 1;
 
       /* Module procedures are unusual in that the 'dest' is copied from
-	 the interface declaration. However, this is an oportunity to
+	 the interface declaration. However, this is an opportunity to
 	 check that the submodule declaration is compliant with the
 	 interface.  */
       if (dest->elemental && !current_attr.elemental)
diff --git a/gcc/fortran/expr.c b/gcc/fortran/expr.c
index 9b2e565..6c11381 100644
--- a/gcc/fortran/expr.c
+++ b/gcc/fortran/expr.c
@@ -3125,7 +3125,7 @@ gfc_check_conformance (gfc_expr *op1, gfc_expr *op2, const char *optype_msgid, .
 /* Given an assignable expression and an arbitrary expression, make
    sure that the assignment can take place.  Only add a call to the intrinsic
    conversion routines, when allow_convert is set.  When this assign is a
-   coarray call, then the convert is done by the coarray routine implictly and
+   coarray call, then the convert is done by the coarray routine implicitly and
    adding the intrinsic conversion would do harm in most cases.  */
 
 bool
diff --git a/gcc/fortran/frontend-passes.c b/gcc/fortran/frontend-passes.c
index be02dce..1284e2b 100644
--- a/gcc/fortran/frontend-passes.c
+++ b/gcc/fortran/frontend-passes.c
@@ -341,7 +341,7 @@ optimize_expr (gfc_expr **e, int *walk_subtrees ATTRIBUTE_UNUSED,
   return 0;
 }
 
-/* Auxiliary function to handle the arguments to reduction intrnisics.  If the
+/* Auxiliary function to handle the arguments to reduction intrinsics.  If the
    function is a scalar, just copy it; otherwise returns the new element, the
    old one can be freed.  */
 
@@ -392,7 +392,7 @@ copy_walk_reduction_arg (gfc_constructor *c, gfc_expr *fn)
   return fcn;
 }
 
-/* Callback function for optimzation of reductions to scalars.  Transform ANY
+/* Callback function for optimization of reductions to scalars.  Transform ANY
    ([f1,f2,f3, ...]) to f1 .or. f2 .or. f3 .or. ..., with ANY, SUM and PRODUCT
    correspondingly.  Handly only the simple cases without MASK and DIM.  */
 
@@ -886,7 +886,7 @@ cfe_code (gfc_code **c, int *walk_subtrees, void *data ATTRIBUTE_UNUSED)
   changed_statement = NULL;
 
   /* Do not do anything inside a WHERE statement; scalar assignments, BLOCKs
-     and allocation on assigment are prohibited inside WHERE, and finally
+     and allocation on assignment are prohibited inside WHERE, and finally
      masking an expression would lead to wrong-code when replacing
 
      WHERE (a>0)
@@ -2103,7 +2103,7 @@ doloop_warn (gfc_namespace *ns)
   gfc_code_walker (&ns->code, doloop_code, do_function, NULL);
 }
 
-/* This selction deals with inlining calls to MATMUL.  */
+/* This selection deals with inlining calls to MATMUL.  */
 
 /* Replace calls to matmul outside of straight assignments with a temporary
    variable so that later inlining will work.  */
@@ -2485,7 +2485,7 @@ matmul_lhs_realloc (gfc_expr *c, gfc_expr *a, gfc_expr *b,
 
   /* c comes in as a full ref.  Change it into a copy and make it into an
      element ref so it has the right form for for ALLOCATE.  In the same
-     switch statement, also generate the size comparison for the secod IF
+     switch statement, also generate the size comparison for the second IF
      statement.  */
 
   ar->type = AR_ELEMENT;
diff --git a/gcc/fortran/gfortran.h b/gcc/fortran/gfortran.h
index 26b89be..3504657 100644
--- a/gcc/fortran/gfortran.h
+++ b/gcc/fortran/gfortran.h
@@ -832,7 +832,7 @@ typedef struct
   unsigned always_explicit:1;
 
   /* Set if the symbol is generated and, hence, standard violations
-     shouldn't be flaged.  */
+     shouldn't be flagged.  */
   unsigned artificial:1;
 
   /* Set if the symbol has been referenced in an expression.  No further
@@ -884,7 +884,7 @@ typedef struct
   unsigned oacc_declare_device_resident:1;
   unsigned oacc_declare_link:1;
 
-  /* This is an OpenACC acclerator function at level N - 1  */
+  /* This is an OpenACC accelerator function at level N - 1  */
   unsigned oacc_function:3;
 
   /* Attributes set by compiler extensions (!GCC$ ATTRIBUTES).  */
@@ -1560,7 +1560,7 @@ typedef struct gfc_symbol
   /* Used to avoid multiple resolutions of a single symbol.  */
   unsigned resolved:1;
   /* Set if this is a module function or subroutine with the
-     abreviated declaration in a submodule.  */
+     abbreviated declaration in a submodule.  */
   unsigned abr_modproc_decl:1;
 
   int refs;
diff --git a/gcc/fortran/intrinsic.c b/gcc/fortran/intrinsic.c
index 2f60fe8..126021b 100644
--- a/gcc/fortran/intrinsic.c
+++ b/gcc/fortran/intrinsic.c
@@ -520,7 +520,7 @@ add_sym_1s (const char *name, gfc_isym_id id, enum klass cl, bt type, int kind,
 	   (void *) 0);
 }
 
-/* Add a symbol to the subroutine ilst where the subroutine takes one
+/* Add a symbol to the subroutine list where the subroutine takes one
    printf-style character argument and a variable number of arguments
    to follow.  */
 
diff --git a/gcc/fortran/primary.c b/gcc/fortran/primary.c
index b30afdd..ef9cf84 100644
--- a/gcc/fortran/primary.c
+++ b/gcc/fortran/primary.c
@@ -739,8 +739,8 @@ done:
     }
 
   /* Warn about trailing digits which suggest the user added too many
-     trailing digits, which may cause the appearance of higher pecision
-     than the kind kan support.
+     trailing digits, which may cause the appearance of higher precision
+     than the kind can support.
 
      This is done by replacing the rightmost non-zero digit with zero
      and comparing with the original value.  If these are equal, we
diff --git a/gcc/fortran/resolve.c b/gcc/fortran/resolve.c
index a5f4874..c38e729 100644
--- a/gcc/fortran/resolve.c
+++ b/gcc/fortran/resolve.c
@@ -5181,7 +5181,7 @@ resolve_variable (gfc_expr *e)
       /* Because this is an associate var and the first ref either is a ref to
 	 the _data component or not, no traversal of the ref chain is
 	 needed.  The array ref needs to be inserted after the _data ref,
-	 or when that is not present, which may happend for polymorphic
+	 or when that is not present, which may happen for polymorphic
 	 types, then at the first position.  */
       ref = e->ref;
       if (!ref)
@@ -10464,7 +10464,7 @@ generate_component_assignments (gfc_code **code, gfc_namespace *ns)
 	  || comp1->attr.proc_pointer)
 	continue;
 
-      /* Make an assigment for this component.  */
+      /* Make an assignment for this component.  */
       this_code = build_assignment (EXEC_ASSIGN,
 				    (*code)->expr1, (*code)->expr2,
 				    comp1, comp2, (*code)->loc);
diff --git a/gcc/fortran/trans-array.c b/gcc/fortran/trans-array.c
index 47e8c09..d6cfd35 100644
--- a/gcc/fortran/trans-array.c
+++ b/gcc/fortran/trans-array.c
@@ -801,7 +801,7 @@ gfc_set_loop_bounds_from_array_spec (gfc_interface_mapping * mapping,
    free the array afterwards.
 
    If INITIAL is not NULL, it is packed using internal_pack and the result used
-   as data instead of allocating a fresh, unitialized area of memory.
+   as data instead of allocating a fresh, uninitialized area of memory.
 
    Initialization code is added to PRE and finalization code to POST.
    DYNAMIC is true if the caller may want to extend the array later
@@ -7978,7 +7978,7 @@ duplicate_allocatable_coarray (tree dest, tree dest_tok, tree src,
     }
   else
     {
-      /* Set the rank or unitialized memory access may be reported.  */
+      /* Set the rank or uninitialized memory access may be reported.  */
       tmp = gfc_conv_descriptor_dtype (dest);
       gfc_add_modify (&globalblock, tmp, build_int_cst (TREE_TYPE (tmp), rank));
 
diff --git a/gcc/fortran/trans-expr.c b/gcc/fortran/trans-expr.c
index af1549a..fbf73e6 100644
--- a/gcc/fortran/trans-expr.c
+++ b/gcc/fortran/trans-expr.c
@@ -342,7 +342,7 @@ gfc_vptr_size_get (tree vptr)
 
 
 /* Search for the last _class ref in the chain of references of this
-   expression and cut the chain there.  Albeit this routine is similiar
+   expression and cut the chain there.  Albeit this routine is similar
    to class.c::gfc_add_component_ref (), is there a significant
    difference: gfc_add_component_ref () concentrates on an array ref to
    be the last ref in the chain.  This routine is oblivious to the kind
@@ -9586,7 +9586,7 @@ alloc_scalar_allocatable_for_assignment (stmtblock_t *block,
 
    a = a + 4
 
-   to make sure we do not check for reallocation unneccessarily.  */
+   to make sure we do not check for reallocation unnecessarily.  */
 
 
 static bool
diff --git a/gcc/fortran/trans-stmt.c b/gcc/fortran/trans-stmt.c
index e4f1da5..e20a039 100644
--- a/gcc/fortran/trans-stmt.c
+++ b/gcc/fortran/trans-stmt.c
@@ -1712,7 +1712,7 @@ trans_associate_var (gfc_symbol *sym, gfc_wrapped_block *block)
 	      /* Add the assign to the beginning of the block...  */
 	      gfc_add_modify (&se.pre, charlen,
 			      fold_convert (TREE_TYPE (charlen), tmp));
-	      /* and the oposite way at the end of the block, to hand changes
+	      /* and the opposite way at the end of the block, to hand changes
 		 on the string length back.  */
 	      gfc_add_modify (&se.post, tmp,
 			      fold_convert (TREE_TYPE (tmp), charlen));
@@ -5415,7 +5415,7 @@ gfc_trans_where (gfc_code * code)
 	     is not dependent on writes to x1, and both y's are not
 	     dependent upon their own x's.  In addition to this, the
 	     final two dependency checks below exclude all but the same
-	     array reference if the where and elswhere destinations
+	     array reference if the where and elsewhere destinations
 	     are the same.  In short, this is VERY conservative and this
 	     is needed because the two loops, required by the standard
 	     are coalesced in gfc_trans_where_3.  */
@@ -5633,7 +5633,7 @@ gfc_trans_allocate (gfc_code * code)
 		}
 	      /* Create a temp variable only for component refs to prevent
 		 having to go through the full deref-chain each time and to
-		 simplfy computation of array properties.  */
+		 simplify computation of array properties.  */
 	      temp_var_needed = TREE_CODE (se.expr) == COMPONENT_REF;
 	    }
 	}
@@ -5897,7 +5897,7 @@ gfc_trans_allocate (gfc_code * code)
 	  && DECL_P (expr3) && DECL_ARTIFICIAL (expr3))
 	{
 	  /* Build a temporary symtree and symbol.  Do not add it to the current
-	     namespace to prevent accidently modifying a colliding
+	     namespace to prevent accidentally modifying a colliding
 	     symbol's as.  */
 	  newsym = XCNEW (gfc_symtree);
 	  /* The name of the symtree should be unique, because gfc_create_var ()
@@ -6345,7 +6345,7 @@ gfc_trans_allocate (gfc_code * code)
 	  tmp= gfc_trans_init_assign (ini);
 	  flag_realloc_lhs = realloc_lhs;
 	  gfc_free_statements (ini);
-	  /* Init_expr is freeed by above free_statements, just need to null
+	  /* Init_expr is freed by above free_statements, just need to null
 	     it here.  */
 	  init_expr = NULL;
 	  gfc_add_expr_to_block (&block, tmp);
diff --git a/gcc/fortran/trans.c b/gcc/fortran/trans.c
index 2323e0a..126d96e 100644
--- a/gcc/fortran/trans.c
+++ b/gcc/fortran/trans.c
@@ -476,7 +476,7 @@ trans_runtime_error_vararg (bool error, locus* where, const char* msgid,
 
   /* Build the function call to runtime_(warning,error)_at; because of the
      variable number of arguments, we can't use build_call_expr_loc dinput_location,
-     irectly.  */
+     directly.  */
   if (error)
     fntype = TREE_TYPE (gfor_fndecl_runtime_error_at);
   else
diff --git a/gcc/function.c b/gcc/function.c
index f625489..8b93b5f 100644
--- a/gcc/function.c
+++ b/gcc/function.c
@@ -680,7 +680,7 @@ temp_address_hasher::equal (temp_slot_address_entry *t1,
   return exp_equiv_p (t1->address, t2->address, 0, true);
 }
 
-/* Add ADDRESS as an alias of TEMP_SLOT to the addess -> temp slot mapping.  */
+/* Add ADDRESS as an alias of TEMP_SLOT to the address -> temp slot mapping.  */
 static void
 insert_temp_slot_address (rtx address, struct temp_slot *temp_slot)
 {
@@ -2174,7 +2174,7 @@ use_register_for_decl (const_tree decl)
       /* Otherwise, if RESULT_DECL is DECL_BY_REFERENCE, it will take
 	 the function_result_decl's assignment.  Since it's a pointer,
 	 we can short-circuit a number of the tests below, and we must
-	 duplicat e them because we don't have the
+	 duplicate them because we don't have the
 	 function_result_decl to test.  */
       if (!targetm.calls.allocate_stack_slots_for_args ())
 	return true;
@@ -2185,7 +2185,7 @@ use_register_for_decl (const_tree decl)
       return false;
     }
 
-  /* Decl is implicitly addressible by bound stores and loads
+  /* Decl is implicitly addressable by bound stores and loads
      if it is an aggregate holding bounds.  */
   if (chkp_function_instrumented_p (current_function_decl)
       && TREE_TYPE (decl)
diff --git a/gcc/gcc.c b/gcc/gcc.c
index 4724276..995b274 100644
--- a/gcc/gcc.c
+++ b/gcc/gcc.c
@@ -48,7 +48,7 @@ compilation is specified by a string called a "spec".  */
 
 /* Manage the manipulation of env vars.
 
-   We poison "getenv" and "putenv", so that all enviroment-handling is
+   We poison "getenv" and "putenv", so that all environment-handling is
    done through this class.  Note that poisoning happens in the
    preprocessor at the identifier level, and doesn't distinguish between
      env.getenv ();
@@ -525,7 +525,7 @@ or with constant text in a single argument.
  %2	process CC1PLUS_SPEC as a spec.
  %*	substitute the variable part of a matched option.  (See below.)
 	Note that each comma in the substituted string is replaced by
-	a single space.  A space is appended after the last substition
+	a single space.  A space is appended after the last substitution
 	unless there is more text in current sequence.
  %<S    remove all occurrences of -S from the command line.
         Note - this command is position dependent.  % commands in the
@@ -561,7 +561,7 @@ or with constant text in a single argument.
           if %* appears somewhere in X, then X will be substituted
           once for each matching switch, with the %* replaced by the
           part of that switch that matched the '*'.  A space will be
-	  appended after the last substition unless there is more
+	  appended after the last substitution unless there is more
 	  text in current sequence.
  %{.S:X}  substitutes X, if processing a file with suffix S.
  %{!.S:X} substitutes X, if NOT processing a file with suffix S.
@@ -941,7 +941,7 @@ proper position among the other output files.  */
 /* Conditional to test whether the LTO plugin is used or not.
    FIXME: For slim LTO we will need to enable plugin unconditionally.  This
    still cause problems with PLUGIN_LD != LD and when plugin is built but
-   not useable.  For GCC 4.6 we don't support slim LTO and thus we can enable
+   not usable.  For GCC 4.6 we don't support slim LTO and thus we can enable
    plugin only when LTO is enabled.  We still honor explicit
    -fuse-linker-plugin if the linker used understands -plugin.  */
 
@@ -6872,7 +6872,7 @@ out:
 }
 
 /* This routine reads lines from IN file, adds C++ style comments
-   at the begining of each line and writes result into OUT.  */
+   at the beginning of each line and writes result into OUT.  */
 
 static void
 insert_comments (const char *file_in, const char *file_out)
diff --git a/gcc/gcov-dump.c b/gcc/gcov-dump.c
index d24e72a..57cb858 100644
--- a/gcc/gcov-dump.c
+++ b/gcc/gcov-dump.c
@@ -515,7 +515,7 @@ dump_working_sets (const char *filename ATTRIBUTE_UNUSED,
       if (ws_ix == NUM_GCOV_WORKING_SETS - 1)
         pct = 9990;
       ws_info = &gcov_working_sets[ws_ix];
-      /* Print out the percentage using int arithmatic to avoid float.  */
+      /* Print out the percentage using int arithmetic to avoid float.  */
       printf ("\n");
       print_prefix (filename, depth + 1, 0);
       printf (VALUE_PADDING_PREFIX "%u.%02u%%: num counts=%u, min counter="
diff --git a/gcc/gcov-io.c b/gcc/gcov-io.c
index 64dedd5..fc30b88 100644
--- a/gcc/gcov-io.c
+++ b/gcc/gcov-io.c
@@ -918,7 +918,7 @@ compute_working_sets (const struct gcov_ctr_summary *summary,
   working_set_cum_values[NUM_GCOV_WORKING_SETS-1]
       = summary->sum_all - summary->sum_all/1024;
 
-  /* Next, walk through the histogram in decending order of hotness
+  /* Next, walk through the histogram in descending order of hotness
      and compute the statistics for the working set summary array.
      As histogram entries are accumulated, we check to see which
      working set entries have had their expected cum_value reached
diff --git a/gcc/gcov.c b/gcc/gcov.c
index a5aa4aa..435b4d7 100644
--- a/gcc/gcov.c
+++ b/gcc/gcov.c
@@ -366,7 +366,7 @@ static int flag_long_names = 0;
 
 static int flag_hash_filenames = 0;
 
-/* Print verbose informations.  */
+/* Print verbose information.  */
 
 static int flag_verbose = 0;
 
diff --git a/gcc/genattrtab.c b/gcc/genattrtab.c
index 3629b5f..6df8192 100644
--- a/gcc/genattrtab.c
+++ b/gcc/genattrtab.c
@@ -299,7 +299,7 @@ static rtx min_fn		   (rtx);
    functions and tables.  This made insn-attrtab.c _the_ bottle-neck in
    a parallel build, and even made it impossible to build GCC on machines
    with relatively small RAM space (PR other/29442).  Therefore, the
-   atrribute functions/tables are now written out to three separate
+   attribute functions/tables are now written out to three separate
    files: all "*insn_default_latency" functions go to LATENCY_FILE_NAME,
    all "*internal_dfa_insn_code" functions go to DFA_FILE_NAME, and the
    rest goes to ATTR_FILE_NAME.  */
@@ -2843,7 +2843,7 @@ get_attr_order (struct attr_desc ***ret)
 		}
 	    if (k == num)
 	      {
-		/* Nothing in I depended on anything intersting, so
+		/* Nothing in I depended on anything interesting, so
 		   it's done.  */
 		handled[i] = 1;
 		sorted[j++] = all[i];
@@ -2909,7 +2909,7 @@ optimize_attrs (int num_insn_codes)
 
   iv = ivbuf = XNEWVEC (struct attr_value_list, num_insn_ents);
 
-  /* Create the chain of insn*attr values such that we see dependend
+  /* Create the chain of insn*attr values such that we see dependent
      attributes after their dependencies.  As we use a stack via the
      next pointers start from the end of the topological order.  */
   topnum = get_attr_order (&topsort);
diff --git a/gcc/genautomata.c b/gcc/genautomata.c
index 76dacbc..5f3d884 100644
--- a/gcc/genautomata.c
+++ b/gcc/genautomata.c
@@ -5029,7 +5029,7 @@ struct unit_usage
 {
   unit_decl_t unit_decl;
   /* The following forms a list of units used on the same cycle in the
-     same alternative.  The list is ordered by the correspdoning unit
+     same alternative.  The list is ordered by the corresponding unit
      declarations and there is no unit declaration duplication in the
      list.  */
   struct unit_usage *next;
diff --git a/gcc/gengtype-state.c b/gcc/gengtype-state.c
index 2f27c42..e2ec67c 100644
--- a/gcc/gengtype-state.c
+++ b/gcc/gengtype-state.c
@@ -238,7 +238,7 @@ s_expr_writer::write_any_indent (int leading_spaces)
   m_had_recent_newline = 0;
 }
 
-/* Write the beginning of a new s-expresion e.g. "(!foo "
+/* Write the beginning of a new s-expression e.g. "(!foo "
    The writer automatically adds whitespace to show the hierarchical
    structure of the expressions, so each one starts on a new line,
    and any within it will be at an increased indentation level.  */
@@ -251,7 +251,7 @@ s_expr_writer::begin_s_expr (const char *tag)
   m_indent_amount++;
 }
 
-/* Write out the end of an s-expression: any necssessary indentation,
+/* Write out the end of an s-expression: any necessary indentation,
    a closing parenthesis, and a new line.  */
 void
 s_expr_writer::end_s_expr (void)
@@ -984,7 +984,7 @@ state_writer::write_state_union_type (type_p current)
 
 /* Write a lang_struct type.  This is tricky and was painful to debug,
    we deal with the next field specifically within their lang_struct
-   subfield, which points to a linked list of homonumous types.
+   subfield, which points to a linked list of homonymous types.
    Change this function with extreme care, see also
    read_state_lang_struct_type.  */
 void
diff --git a/gcc/gengtype.c b/gcc/gengtype.c
index ec949a1..904038d 100644
--- a/gcc/gengtype.c
+++ b/gcc/gengtype.c
@@ -1845,7 +1845,7 @@ get_file_gtfilename (const input_file *inpf)
     (langdir ? xasprintf ("gt-%s-%s", langdir, basename)
      : xasprintf ("gt-%s", basename));
 
-  /* Then replace all non alphanumerics characters by '-' and change the
+  /* Then replace all non alphanumeric characters by '-' and change the
      extension to ".h".  We expect the input filename extension was at least
      one character long.  */
 
@@ -2966,7 +2966,7 @@ walk_type (type_p t, struct walk_type_data *d)
 	       This organization requires the base class to have a case in
 	       the switch statement, and hence a tag value is mandatory
 	       for the base class.   This restriction could be removed, but
-	       it would require some restructing of this code.  */
+	       it would require some restructuring of this code.  */
 	    if (!type_tag)
 	      {
 		error_at_line (d->line,
@@ -4674,9 +4674,9 @@ write_roots (pair_p variables, bool emit_pch)
 		     "gt_pch_scalar_rtab");
 }
 
-/* Prints not-as-ugly version of a typename of T to OF.  Trades the uniquness
-   guaranteee for somewhat increased readability.  If name conflicts do happen,
-   this funcion will have to be adjusted to be more like
+/* Prints not-as-ugly version of a typename of T to OF.  Trades the uniqueness
+   guarantee for somewhat increased readability.  If name conflicts do happen,
+   this function will have to be adjusted to be more like
    output_mangled_typename.  */
 
 #define INDENT 2
diff --git a/gcc/gengtype.h b/gcc/gengtype.h
index 61a799f..06dbc50 100644
--- a/gcc/gengtype.h
+++ b/gcc/gengtype.h
@@ -295,7 +295,7 @@ struct type {
       /* The following two fields are not serialized in state files, and
 	 are instead reconstructed on load.  */
 
-      /* The head of a singly-linked list of immediate descendents in
+      /* The head of a singly-linked list of immediate descendants in
 	 the inheritance hierarchy.  */
       type_p first_subclass;
       /* The next in that list.  */
diff --git a/gcc/genhooks.c b/gcc/genhooks.c
index fb380c5..bc36c7c 100644
--- a/gcc/genhooks.c
+++ b/gcc/genhooks.c
@@ -103,11 +103,11 @@ s_hook_eq_p (const void *p1, const void *p2)
    If the doc field starts with '*', the leading '*' is stripped, and the doc
    field is otherwise emitted unaltered; no function signature/
    @deftypefn/deftypevr/@end is emitted.
-   In particular, a doc field of "*" means not to emit any ocumentation for
+   In particular, a doc field of "*" means not to emit any documentation for
    this target.def / hook_array entry at all (there might be documentation
    for this hook in the file named IN_FNAME, though).
    A doc field of 0 is used to append the hook signature after the previous
-   hook's signture, so that one description can be used for a group of hooks.
+   hook's signature, so that one description can be used for a group of hooks.
    When the doc field is "", @deftypefn/@deftypevr and the hook signature
    is emitted, but not the matching @end.  This allows all the free-form
    documentation to be placed in IN_FNAME, to work around GPL/GFDL
diff --git a/gcc/genmatch.c b/gcc/genmatch.c
index f20e39f..5df1962 100644
--- a/gcc/genmatch.c
+++ b/gcc/genmatch.c
@@ -647,7 +647,7 @@ struct expr : public operand
   /* The operator and its operands.  */
   id_base *operation;
   vec<operand *> ops;
-  /* An explicitely specified type - used exclusively for conversions.  */
+  /* An explicitly specified type - used exclusively for conversions.  */
   const char *expr_type;
   /* Whether the operation is to be applied commutatively.  This is
      later lowered to two separate patterns.  */
@@ -1013,7 +1013,7 @@ lower_commutative (simplify *s, vec<simplify *>& simplifiers)
     }
 }
 
-/* Strip conditional conversios using operator OPER from O and its
+/* Strip conditional conversions using operator OPER from O and its
    children if STRIP, else replace them with an unconditional convert.  */
 
 operand *
@@ -2372,7 +2372,7 @@ expr::gen_transform (FILE *f, int indent, const char *dest, bool gimple,
 	  indent += 4;
 	}
       /* ???  Building a stmt can fail for various reasons here, seq being
-         NULL or the stmt referencing SSA names occuring in abnormal PHIs.
+         NULL or the stmt referencing SSA names occurring in abnormal PHIs.
 	 So if we fail here we should continue matching other patterns.  */
       fprintf_indent (f, indent, "code_helper tem_code = %s;\n", opr_name);
       fprintf_indent (f, indent, "tree tem_ops[3] = { ");
@@ -4902,7 +4902,7 @@ round_alloc_size (size_t s)
 }
 
 
-/* The genmatch generator progam.  It reads from a pattern description
+/* The genmatch generator program.  It reads from a pattern description
    and outputs GIMPLE or GENERIC IL matching and simplification routines.  */
 
 int
diff --git a/gcc/genopinit.c b/gcc/genopinit.c
index d98fcd5..87bad41 100644
--- a/gcc/genopinit.c
+++ b/gcc/genopinit.c
@@ -339,7 +339,7 @@ main (int argc, const char **argv)
 	   "}\n\n");
 
   /* C++ (even G++) does not support (non-trivial) designated initializers.
-     To work around that, generate these arrays programatically rather than
+     To work around that, generate these arrays programmatically rather than
      by our traditional multiple inclusion of def files.  */
 
   fprintf (s_file,
diff --git a/gcc/genoutput.c b/gcc/genoutput.c
index 6469bef..28d7260 100644
--- a/gcc/genoutput.c
+++ b/gcc/genoutput.c
@@ -163,7 +163,7 @@ struct data
 static struct data *idata;
 
 /* This variable points to the end of the insn chain.  This is where
-   everything relevant from the machien description is appended to.  */
+   everything relevant from the machine description is appended to.  */
 static struct data **idata_end;
 
 
diff --git a/gcc/genrecog.c b/gcc/genrecog.c
index b69043f..f62fddd 100644
--- a/gcc/genrecog.c
+++ b/gcc/genrecog.c
@@ -1742,7 +1742,7 @@ struct known_conditions
   /* Index N says whether operands[N] has been set.  */
   auto_vec <bool> set_operands;
 
-  /* A guranteed lower bound on the value of peep2_current_count.  */
+  /* A guaranteed lower bound on the value of peep2_current_count.  */
   int peep2_count;
 };
 
@@ -2259,7 +2259,7 @@ struct merge_pattern_info
      These default parameters are used in cases where we match the
      pattern against some state S1, then add more parameters while
      matching against some state S2.  S1 is then left passing fewer
-     parameters than S2.  The array gives us enough informatino to
+     parameters than S2.  The array gives us enough information to
      construct a full parameter list for S1 (see update_parameters).
 
      If we decide to create a subroutine for this pattern,
@@ -2405,7 +2405,7 @@ prune_invalid_results (merge_state_info *sinfo)
     }
 }
 
-/* Return true if PAT represents the biggest posssible match for SINFO;
+/* Return true if PAT represents the biggest possible match for SINFO;
    that is, if the next action of SINFO's state on return from PAT will
    be something that cannot be merged with any other state.  */
 
@@ -3126,7 +3126,7 @@ split_out_patterns (vec <merge_state_info> &states)
      The non-leaf patterns that we try are as deep as possible
      and are an extension of the state's previous best candidate match (PB).
      We need only consider states whose current potential match is also PB;
-     any states that don't match as much as PB cannnot match the new pattern,
+     any states that don't match as much as PB cannot match the new pattern,
      while any states that already match more than PB must be different from
      the new pattern.  */
   for (unsigned int i2 = states.length (); i2-- > 0; )
diff --git a/gcc/gensupport.c b/gcc/gensupport.c
index c79feb4..13d8b3d 100644
--- a/gcc/gensupport.c
+++ b/gcc/gensupport.c
@@ -1930,7 +1930,7 @@ mark_operands_from_match_dup (rtx pattern)
 /* This is a subroutine of adjust_operands_numbers.
    It goes through all expressions in PATTERN and when MATCH_DUP is
    met, all MATCH_OPERANDs inside it is marked as occupied.  The
-   process of marking is done by routin mark_operands_from_match_dup.  */
+   process of marking is done by routine mark_operands_from_match_dup.  */
 static void
 mark_operands_used_in_match_dup (rtx pattern)
 {
diff --git a/gcc/ggc-page.c b/gcc/ggc-page.c
index 5f79e32..6730dae 100644
--- a/gcc/ggc-page.c
+++ b/gcc/ggc-page.c
@@ -1895,7 +1895,7 @@ clear_marks (void)
 
 /* Check if any blocks with a registered finalizer have become unmarked. If so
    run the finalizer and unregister it because the block is about to be freed.
-   Note that no garantee is made about what order finalizers will run in so
+   Note that no guarantee is made about what order finalizers will run in so
    touching other objects in gc memory is extremely unwise.  */
 
 static void
